Package ej.microui.event.generator

## Class Command

- java.lang.Object
- - ej.microui.event.EventGenerator
  - - ej.microui.event.generator.Command

-     public class Command
      extends EventGenerator

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ANTICLOCKWISE` | Constant for "anti-clockwise" command.
    `static int` | `BACK` | Constant for "back" command.
    `static int` | `CANCEL` | Constant for "cancel" command.
    `static int` | `CLOCKWISE` | Constant for "clockwise" command.
    `static int` | `COPY` | Constant for "copy" command.
    `static int` | `CUT` | Constant for "cut" command.
    `static int` | `DISPLAY` | Constant for "display" command.
    `static int` | `DOWN` | Constant for "down" command.
    `static int` | `ESC` | Constant for "escape" command.
    `static int` | `EVENT_TYPE` | The COMMAND event type returned by `getEventType()`.
    `static int` | `EXIT` | Constant for "exit" command.
    `static int` | `HELP` | Constant for "help" command.
    `static int` | `LEFT` | Constant for "left" command.
    `static int` | `MENU` | Constant for "menu" command.
    `static int` | `NEXT` | Constant for "next" command.
    `static int` | `PASTE` | Constant for "paste" command.
    `static int` | `PAUSE` | Constant for "pause" command.
    `static int` | `PREVIOUS` | Constant for "previous" command.
    `static int` | `RESUME` | Constant for "resume" command.
    `static int` | `RIGHT` | Constant for "right" command.
    `static int` | `SELECT` | Constant for "select" command.
    `static int` | `START` | Constant for "start" command.
    `static int` | `STOP` | Constant for "stop" command.
    `static int` | `UP` | Constant for "up" command.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Command()` | Creates a new command event generator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `buildEvent​(int command)` | Builds a MicroUI event for the given command.
    `int` | `getEventType()` | Gets the event type associated with the event generator
    `void` | `send​(int command)` | Sends the given command to the event generator's listener

    - ### Methods inherited from class ej.microui.event.EventGenerator

      `addToSystemPool, get, get, get, getEventHandler, getId, removeFromSystemPool, sendEvent, setEventHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_TYPE

          public static final int EVENT_TYPE

      The COMMAND event type returned by `getEventType()`.
      See Also:
        Constant Field Values

    - #### ESC

          public static final int ESC

      Constant for "escape" command.
      See Also:
        Constant Field Values

    - #### BACK

          public static final int BACK

      Constant for "back" command.
      See Also:
        Constant Field Values

    - #### UP

          public static final int UP

      Constant for "up" command.
      See Also:
        Constant Field Values

    - #### DOWN

          public static final int DOWN

      Constant for "down" command.
      See Also:
        Constant Field Values

    - #### LEFT

          public static final int LEFT

      Constant for "left" command.
      See Also:
        Constant Field Values

    - #### RIGHT

          public static final int RIGHT

      Constant for "right" command.
      See Also:
        Constant Field Values

    - #### SELECT

          public static final int SELECT

      Constant for "select" command.
      See Also:
        Constant Field Values

    - #### CANCEL

          public static final int CANCEL

      Constant for "cancel" command.
      See Also:
        Constant Field Values

    - #### HELP

          public static final int HELP

      Constant for "help" command.
      See Also:
        Constant Field Values

    - #### MENU

          public static final int MENU

      Constant for "menu" command.
      See Also:
        Constant Field Values

    - #### EXIT

          public static final int EXIT

      Constant for "exit" command.
      See Also:
        Constant Field Values

    - #### START

          public static final int START

      Constant for "start" command.
      See Also:
        Constant Field Values

    - #### STOP

          public static final int STOP

      Constant for "stop" command.
      See Also:
        Constant Field Values

    - #### PAUSE

          public static final int PAUSE

      Constant for "pause" command.
      See Also:
        Constant Field Values

    - #### RESUME

          public static final int RESUME

      Constant for "resume" command.
      See Also:
        Constant Field Values

    - #### COPY

          public static final int COPY

      Constant for "copy" command.
      See Also:
        Constant Field Values

    - #### CUT

          public static final int CUT

      Constant for "cut" command.
      See Also:
        Constant Field Values

    - #### PASTE

          public static final int PASTE

      Constant for "paste" command.
      See Also:
        Constant Field Values

    - #### CLOCKWISE

          public static final int CLOCKWISE

      Constant for "clockwise" command.
      See Also:
        Constant Field Values

    - #### ANTICLOCKWISE

          public static final int ANTICLOCKWISE

      Constant for "anti-clockwise" command.
      See Also:
        Constant Field Values

    - #### PREVIOUS

          public static final int PREVIOUS

      Constant for "previous" command.
      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      Constant for "next" command.
      See Also:
        Constant Field Values

    - #### DISPLAY

          public static final int DISPLAY

      Constant for "display" command.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Command

          public Command()

      Creates a new command event generator.

  - ### Method Detail

    - #### getEventType

          public int getEventType()

      Description copied from class: `EventGenerator`
      Gets the event type associated with the event generator
      Specified by:
        `getEventType` in class `EventGenerator`
      Returns:
        the event type

    - #### buildEvent

          public int buildEvent​(int command)

      Builds a MicroUI event for the given command.
      Parameters:
        `command` - the command to be sent
      Returns:
        the MicroUI event

    - #### send

          public void send​(int command)

      Sends the given command to the event generator's listener
      Parameters:
        `command` - the command to be sent